Bug 1259005 - Review Request: docker-distribution - The Docker toolset to pack, ship, store, and deliver content
Review Request: docker-distribution - The Docker toolset to pack, ship, store...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 13:29 EDT by Lokesh Mandvekar
Modified: 2016-01-15 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 18:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jchaloup: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2015-09-01 13:29:35 EDT
Spec URL: upcoming
SRPM URL: upcoming
Description: upcoming

Fedora Account System Username: lsm5
Comment 1 Lokesh Mandvekar 2015-09-01 13:32:27 EDT
Upstream: https://github.com/docker/distribution
Comment 3 Jan Chaloupka 2015-09-04 09:19:25 EDT
Do you need the latest version or the latest release? Which is 2.1.1 and its commit is 44c7fb9e6e7e58e88d38d93b5f1f6da6a54d28ff. 23 days old at the time of posting this comment.
Comment 4 Jan Chaloupka 2015-09-04 09:19:50 EDT
s/latest version/latest commit/
Comment 5 Lokesh Mandvekar 2015-09-10 14:30:00 EDT
let's take the latest stable version so far. We don't really need to care about latest commits at this point.
Comment 6 Jan Chaloupka 2015-09-10 17:24:10 EDT
missing deps of @docker/distribution (7):
Class: github.com/AdRoll/goamz (golang-github-AdRoll-goamz) PkgDB=False
Class: github.com/Azure/azure-sdk-for-go (golang-github-Azure-azure-sdk-for-go) PkgDB=False
Class: github.com/denverdino/aliyungo (golang-github-denverdino-aliyungo) PkgDB=False
Class: github.com/gorilla/handlers (golang-github-gorilla-handlers) PkgDB=False
Class: github.com/ncw/swift (golang-github-ncw-swift) PkgDB=False
Class: github.com/noahdesu/go-ceph (golang-github-noahdesu-go-ceph) PkgDB=False
Class: github.com/stevvooe/resumable (golang-github-stevvooe-resumable) PkgDB=False

missing deps of github.com/AdRoll/goamz (3):
Class: github.com/bitly/go-simplejson (golang-github-bitly-go-simplejson) PkgDB=False
Class: github.com/cbroglie/mapstructure (golang-github-cbroglie-mapstructure) PkgDB=False
Class: github.com/feyeleanor/sets (golang-github-feyeleanor-sets) PkgDB=False
However, only aws and cloudfront packages are needed which does not depends on unpackaged deps

missing deps of github.com/Azure/azure-sdk-for-go (2):
Class: github.com/Azure/go-pkcs12 (golang-github-Azure-go-pkcs12) PkgDB=False
Class: gopkg.in/check.v1 (golang-github-go-check-check) PkgDB=False
However, only storage packages is needed which does not depends on unpackaged deps

github.com/denverdino/aliyungo has no deps
github.com/gorilla/handlers has no deps
github.com/ncw/swift has no deps
github.com/noahdesu/go-ceph has no unpackaged deps
github.com/stevvooe/resumable no deps

So only 7 packages need to be packaged and reviewed. For first two I will not generate full package. I will create incomplete subpackages which are self-standing and does not depend on the rest of its golang projects.

Generating of first two packages would be auto-generated [1]. At the moment the feature is not yet implemented.

[1] https://github.com/ingvagabund/gofed/issues/36
Comment 8 Lokesh Mandvekar 2015-09-18 02:55:55 EDT
Spec URL: https://lsm5.fedorapeople.org/docker-distribution/docker-distribution.spec

initially generated using gofed and then modified, I'll give this another look once I wake up :)

dnf builddep for this spec gives me: https://paste.fedoraproject.org/268763/42559204/
Comment 9 Jan Chaloupka 2015-09-18 04:29:18 EDT
Definition of

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

%if ! 0%{?gotest:1}
%define gotest() go test -ldflags "${LDFLAGS:-}" %{?**}
%endif

can be removed if it is not used. I doubt this package will be built for secondary architecture in near future. Debuginfo is optional as there is still incomplete support for it.
Comment 10 Jan Chaloupka 2015-09-18 04:31:21 EDT
Missing deps due to cmd/registry:

github.com/bugsnag/bugsnag-go
github.com/yvasiyarov/gorelic

github.com/bugsnag/bugsnag-go's deps:
- github.com/bitly/go-simplejson (needed by tests only)
- github.com/bugsnag/panicwrap (needed by panicwrap.go)
- github.com/mitchellh/osext (needed by tests only)
- github.com/revel/revel (needed by revel/bugsnagrevel.go)

github.com/yvasiyarov/gorelic's deps
- github.com/yvasiyarov/go-metrics
- github.com/yvasiyarov/newrelic_platform_go

github.com/bugsnag/panicwrap's deps:
- github.com/bugsnag/osext


And I can continue :( :(. Anyway, the spec file BR docker which is kind of a wild animal, hard to import :P

As fedora docker != upstream docker, I doubt if it makes sense to built any project from fedora docker's source codes.
Comment 11 Jan Chaloupka 2015-09-22 11:25:35 EDT
Atm it can not be built from bundled deps due to dependency on docker. The current effort is to perform daily scans of all golang packages and report API backward compatibility issues. The effort is centralized at [1]. The server is still under development with additional checks coming.

Besides deps, the spec file conforms to the current golang packaging draft. Approving the review.

[1] http://209.132.179.123/
Comment 12 Jan Chaloupka 2015-09-22 11:27:11 EDT
New Package SCM Request
=======================
Package Name: docker-distribution
Short Description: The Docker toolset to pack, ship, store, and deliver content
Upstream URL: https://github.com/docker/distribution
Owners: jchaloup lsm5
Branches: f23 f22 f21 el6 epel7
InitialCC: golang-sig
Comment 13 Gwyn Ciesla 2015-09-22 13:58:28 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2015-10-08 11:49:01 EDT
docker-distribution-2.1.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-47d34c2b04
Comment 15 Fedora Update System 2015-10-08 12:08:55 EDT
docker-distribution-2.1.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-635911b559
Comment 16 Fedora Update System 2015-10-09 09:54:32 EDT
docker-distribution-2.1.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update docker-distribution'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-635911b559
Comment 17 Fedora Update System 2015-10-09 09:55:19 EDT
docker-distribution-2.1.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update docker-distribution'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-47d34c2b04
Comment 18 Fedora Update System 2015-10-28 10:39:51 EDT
docker-distribution-2.1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-251280112d
Comment 19 Fedora Update System 2015-11-01 01:59:04 EST
docker-distribution-2.1.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update docker-distribution'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-251280112d
Comment 20 Fedora Update System 2016-01-15 18:26:32 EST
docker-distribution-2.1.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.